Subject: [bug#64711] [PATCH 00/45] Fix builds and skip failing tests for the Hurd.

From: Ludovic Courtès <[email-masked]>
Date: Tue, 18 Jul 2023 22:29:07 +0200

Hey!

Janneke Nieuwenhuizen <[email-masked]> skribis:

> Also, most probably problematic tests in the guile test suite were fixed on
> guile master.  As I understand, Josselin is working on this, so way may want
> to skip the patch for guile (or apply it anyway and revert it later).
>
> Because many patches are almost trivial and similar, you may want to give some
> specific comments to the non-trivial patches and possibly some general
> comments for the trivial ones instead of a LGTM on every individual patch?

So modulo the few comments I sent, I think this looks good.

There’s a couple of things to check (which I haven’t do):

  • Make sure x86_64-linux derivations (for instance) are unchanged.
    That is, ‘./pre-inst-env guix build libreoffice -d’ should produce
    the same thing before and after this patch series, on x86_64-linux.
    (Pro tip: replace ‘-d’ with ‘-n’; if there are substitutes, it means
    it hasn’t changed. :-))

  • Make sure ‘guix build sed --target=i586-pc-gnu’ still works.
    Probably the derivation should be unchanged, but maybe it’s OK if it
    changes (sometimes avoiding a cross-rebuild would require extra
    boilerplate that we’d rather not have).

  • And well, ‘guix build sed -s i586-gnu’ should work as well, but
    that’s the whole point of this series!

Thanks a lot for all the work!

Ludo’.